Skip to main content

Create Resident Charge: Yardi

POSThttps://api.propexo.com/v1/resident-charges/yardi/
InterfaceMethod
Billing and PaymentsImportCharge_Login
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    charge_code_idstringrequired

    The Propexo ID for the charge code associated with this new charge

    transaction_datestring<date-time>required

    The transaction date of the resident charge

    post_monthstring

    The post month for the resident charge. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    descriptionstring

    Description of the resident charge

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    financial_account_idstringrequired

    The Propexo unique identifier for the financial account

    charge_code_idstringrequired

    The Propexo ID for the charge code associated with this new charge

    transaction_datestring<date-time>required

    The transaction date of the resident charge

    post_monthstring | nullnullablerequired

    The post month for the resident charge. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    descriptionstring | nullnullablerequired

    Description of the resident charge

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-charges/yardi/
curl -X POST https://api.propexo.com/v1/resident-charges/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"financial_account_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"financial_account_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"post_month": "2024-07-29T15:51:28.071Z",
"amount_in_cents": 0,
"description": "string"
}
}